Subject: bug#11901: redhat linux 6.0 / emacs gdb

From: Glenn Morris <[email-masked]>
Date: Tue, 10 Jul 2012 16:04:52 -0400

"Strauss, Nicholas C" wrote:

> I am running emacs 29.1.1 and gdb 7.1-29el6 in redhat linux 6.0 64-bit

I'll assume you meant Emacs 23.1 on RHEL 6.0.

> I do m-x gdb. When I type "attach <pid>" nothing happens.

Works for me on RHEL 6.2:

## Start an Emacs in the background:
/usr/bin/emacs -Q &
  [1] 4612

## Start a second Emacs to debug the first:
/usr/bin/emacs -Q
M-x gdb RET gdb --annotate=3 RET
gdb> attach 4612

If you are deleting the default "--annotate=3" from the gdb
command-line; don't.